<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('post', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('post', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('category')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('category', function(Blueprint $table) {
			$table->foreign('parent_id')->references('id')->on('category')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('post_tag', function(Blueprint $table) {
			$table->foreign('post_id')->references('id')->on('post')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('post_tag', function(Blueprint $table) {
			$table->foreign('tag_id')->references('id')->on('tag')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('job_id')->references('id')->on('job')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('language')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('driving_licence_id')->references('id')->on('driving_licence')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('hospitality_id')->references('id')->on('hospitality')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('department_id')->references('id')->on('department')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('speciality_id')->references('id')->on('speciality')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('public_id')->references('id')->on('public')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('contract_type_id')->references('id')->on('contract_type')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->foreign('wage_type_id')->references('id')->on('wage_type')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('cv', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->foreign('graduation_id')->references('id')->on('graduation')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->foreign('formation_id')->references('id')->on('formation')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->foreign('department_id')->references('id')->on('department')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('notation', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('notation', function(Blueprint $table) {
			$table->foreign('post_id')->references('id')->on('post')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('department', function(Blueprint $table) {
			$table->foreign('region_id')->references('id')->on('region')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('address', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('bookmark', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('user_pro', function(Blueprint $table) {
			$table->foreign('id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('user_individual', function(Blueprint $table) {
			$table->foreign('id')->references('id')->on('user')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert_graduation', function(Blueprint $table) {
			$table->foreign('job_advert_id')->references('id')->on('job_advert')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert_graduation', function(Blueprint $table) {
			$table->foreign('graduation_id')->references('id')->on('graduation')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert_option', function(Blueprint $table) {
			$table->foreign('option_id')->references('id')->on('option')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('job_advert_option', function(Blueprint $table) {
			$table->foreign('job_advert_id')->references('id')->on('job_advert')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert_hospitality', function(Blueprint $table) {
			$table->foreign('course_advert_id')->references('id')->on('course_advert')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert_hospitality', function(Blueprint $table) {
			$table->foreign('hospitality_id')->references('id')->on('hospitality')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert_day_of_week', function(Blueprint $table) {
			$table->foreign('course_advert_id')->references('id')->on('course_advert')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert_day_of_week', function(Blueprint $table) {
			$table->foreign('day_of_week_id')->references('id')->on('day_of_week')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert_option', function(Blueprint $table) {
			$table->foreign('option_id')->references('id')->on('option')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('course_advert_option', function(Blueprint $table) {
			$table->foreign('course_advert_id')->references('id')->on('course_advert')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('post', function(Blueprint $table) {
			$table->dropForeign('post_user_id_foreign');
		});
		Schema::table('post', function(Blueprint $table) {
			$table->dropForeign('post_category_id_foreign');
		});
		Schema::table('category', function(Blueprint $table) {
			$table->dropForeign('category_parent_id_foreign');
		});
		Schema::table('post_tag', function(Blueprint $table) {
			$table->dropForeign('post_tag_post_id_foreign');
		});
		Schema::table('post_tag', function(Blueprint $table) {
			$table->dropForeign('post_tag_tag_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_user_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_job_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_language_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_driving_licence_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_hospitality_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_department_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_speciality_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_public_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_contract_type_id_foreign');
		});
		Schema::table('job_advert', function(Blueprint $table) {
			$table->dropForeign('job_advert_wage_type_id_foreign');
		});
		Schema::table('cv', function(Blueprint $table) {
			$table->dropForeign('cv_user_id_foreign');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->dropForeign('course_advert_user_id_foreign');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->dropForeign('course_advert_graduation_id_foreign');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->dropForeign('course_advert_formation_id_foreign');
		});
		Schema::table('course_advert', function(Blueprint $table) {
			$table->dropForeign('course_advert_department_id_foreign');
		});
		Schema::table('notation', function(Blueprint $table) {
			$table->dropForeign('notation_user_id_foreign');
		});
		Schema::table('notation', function(Blueprint $table) {
			$table->dropForeign('notation_post_id_foreign');
		});
		Schema::table('department', function(Blueprint $table) {
			$table->dropForeign('department_region_id_foreign');
		});
		Schema::table('address', function(Blueprint $table) {
			$table->dropForeign('address_user_id_foreign');
		});
		Schema::table('bookmark', function(Blueprint $table) {
			$table->dropForeign('bookmark_user_id_foreign');
		});
		Schema::table('user_pro', function(Blueprint $table) {
			$table->dropForeign('user_pro_id_foreign');
		});
		Schema::table('user_individual', function(Blueprint $table) {
			$table->dropForeign('user_individual_id_foreign');
		});
		Schema::table('job_advert_graduation', function(Blueprint $table) {
			$table->dropForeign('job_advert_graduation_job_advert_id_foreign');
		});
		Schema::table('job_advert_graduation', function(Blueprint $table) {
			$table->dropForeign('job_advert_graduation_graduation_id_foreign');
		});
		Schema::table('job_advert_option', function(Blueprint $table) {
			$table->dropForeign('job_advert_option_option_id_foreign');
		});
		Schema::table('job_advert_option', function(Blueprint $table) {
			$table->dropForeign('job_advert_option_job_advert_id_foreign');
		});
		Schema::table('course_advert_hospitality', function(Blueprint $table) {
			$table->dropForeign('course_advert_hospitality_course_advert_id_foreign');
		});
		Schema::table('course_advert_hospitality', function(Blueprint $table) {
			$table->dropForeign('course_advert_hospitality_hospitality_id_foreign');
		});
		Schema::table('course_advert_day_of_week', function(Blueprint $table) {
			$table->dropForeign('course_advert_day_of_week_course_advert_id_foreign');
		});
		Schema::table('course_advert_day_of_week', function(Blueprint $table) {
			$table->dropForeign('course_advert_day_of_week_day_of_week_id_foreign');
		});
		Schema::table('course_advert_option', function(Blueprint $table) {
			$table->dropForeign('course_advert_option_option_id_foreign');
		});
		Schema::table('course_advert_option', function(Blueprint $table) {
			$table->dropForeign('course_advert_option_course_advert_id_foreign');
		});
	}
}